import { CustomCommandStatus, GameMode, system } from "@minecraft/server";
import { addCameraPoint } from "../../functions/camera/add-camera-point";
export function playerSetCameraPointCmd(_origin) {
    const entity = _origin.sourceEntity;
    const sender = entity;
    system.run(() => {
        let gm = sender.getGameMode();
        if (gm === GameMode.Spectator && sender.hasTag("freecam")) {
            addCameraPoint(sender);
        }
    });
    return {
        status: CustomCommandStatus.Success,
        message: `executing...`,
    };
}
